complexType "Documentation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | masterConfirmation?, attachment*
</...>

Content Model Elements (2):

  attachment, masterConfirmation

Annotation
An entity for defining the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Documentation"> <xsd:sequence> <!--View Generation: SKIPPED masterAgreement - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="masterConfirmation" type="MasterConfirmation"/> <!--View Generation: SKIPPED contractualDefinitions - Documentation--> <!--View Generation: SKIPPED contractualTermsSupplement - Documentation--> <!--View Generation: SKIPPED contractualMatrix - Documentation--> <!--View Generation: SKIPPED creditSupportAgreement - Documentation--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="attachment" type="Resource"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
attachment

  Type: | Resource, complex content

  A human readable document related to this transaction, for example a confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="attachment" type="Resource"/>

masterConfirmation

  Type: | MasterConfirmation, complex content

  The agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmation" type="MasterConfirmation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.